%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           poker-engine
Version:        1.3.4
Release:        1%{?dist}
Summary:        Python library that implements poker rules

Group:          Development/Libraries
License:        GPLv2+
URL:            http://pokersource.org/poker-engine
Source0:        http://download.gna.org/pokersource/sources/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext procps
BuildRequires:  rsync libxml2-python libxslt-python pypoker-eval-devel >= 128.0
Requires:       rsync libxml2-python libxslt-python pypoker-eval >= 128.0

%description
This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.

%package devel
Summary:        Poker rule implementation library development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pypoker-eval-devel

%description devel
This package contains files required to build applications that use
poker-engine.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%check
make %{?_smp_mflags} check VERBOSE_T=-1

 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_mandir}/man8/*.8.gz
%{_sbindir}/pokerconfigupgrade
%{_datadir}/%{name}
%{python_sitelib}/pokerengine
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*

%files devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Sun Oct 11 2009 Christopher Stone <chris.stone@gmail.com> 1.3.4-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 01 2009 Christopher Stone <chris.stone@gmail.com> 1.3.2-1
- Upstream sync
- Add new BR procps for make check

* Wed Dec 24 2008 Christopher Stone <chris.stone@gmail.com> 1.3.1-1
- Upstream sync

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.0-2
- Rebuild for Python 2.6

* Fri May 16 2008 Christopher Stone <chris.stone@gmail.com> 1.2.0-1
- Upstream sync

* Wed Apr 02 2008 Christopher Stone <chris.stone@gmail.com> 1.1.0-1
- Upstream sync

* Wed May 23 2007 Christopher Stone <chris.stone@gmail.com> 1.0.25-1
- Upstream sync

* Thu Mar 15 2007 Christopher Stone <chris.stone@gmail.com> 1.0.24-1
- Upstream sync

* Tue Feb 13 2007 Christopher Stone <chris.stone@gmail.com> 1.0.23-2
- Add new BR gettext for make check
- Add find_lang macro for new locales

* Tue Feb 13 2007 Christopher Stone <chris.stone@gmail.com> 1.0.23-1
- Upstream sync

* Wed Jan 24 2007 Christopher Stone <chris.stone@gmail.com> 1.0.22-1
- Upstream sync
- Minor whitespace cleanups
- Change %%{buildroot} to $$RPM_BUILD_ROOT

* Thu Jan 11 2007 Christopher Stone <chris.stone@gmail.com> 1.0.21-1
- Upstream sync

* Fri Dec 08 2006 Christopher Stone <chris.stone@gmail.com> 1.0.20-2.fc7.1
- python(abi) = 0:2.5

* Thu Dec 07 2006 Christopher Stone <chris.stone@gmail.com> 1.0.20-2
- Add missing Requires

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 1.0.20-1
- Upstream sync

* Mon Oct 16 2006 Christopher Stone <chris.stone@gmail.com> 1.0.19-1
- Upstream sync
- Own all directories created

* Tue Sep 12 2006 Christopher Stone <chris.stone@gmail.com> 1.0.18-2
- Reduce verbosity in %%check section

* Fri Sep 08 2006 Christopher Stone <chris.stone@gmail.com> 1.0.18-1
- Upstream sync

* Wed Sep 06 2006 Christopher Stone <chris.stone@gmail.com> 1.0.17-3
- No longer %%ghost pyo files. Bug #205394
- Remove system macros

* Sat Sep 02 2006 Christopher Stone <chris.stone@gmail.com> 1.0.17-2
- Pass if check fails.  Upstream notified of check failures.

* Fri Sep 01 2006 Christopher Stone <chris.stone@gmail.com> 1.0.17-1
- Upstream sync

* Wed Aug 30 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-5
- FC6 Rebuild

* Thu Jun 22 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-4
- Add patch to put pkgconfig file in %%{_datadir}

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-3
- pkgconfig no longer needed. It is now picked up by pypoker-eval-devel

* Thu Jun 01 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-2
- Add new BR pkgconfig
- Use macros for system commands

* Tue May 30 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-1
- Upstream sync
- Add rsync to Requires
- Remove patches and autoreconf since these have been fixed in new release

* Mon May 15 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-3
- Add Requires pypoker-eval-devel to devel package

* Sun May 14 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-2
- Add patch for noarch configuration
- Readded BuildArch of noarch
- Removed python-abi Requires
- Added %%check section
- Updated Source0 location
- Add patch to place python files in sitelib
- Replace %%{python_sitearch} with %%{python_sitelib}
- Removed unnecessary Requires
- Removed examples from -devel since this is no longer maintained by upstream

* Thu Mar 30 2006 Loic Dachary <loic at gnu.org> 1.0.14-1
- upstream sync

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 1.0.13-2
- Fix BuildRequires

* Sat Mar 25 2006 Loic Dachary <loic at gnu.org> 1.0.13-1
- upstream sync

* Fri Mar 17 2006 Christopher Stone <chris.stone@gmail.com> 1.0.12-1
- Initial RPM release
